/// class PD.Manage.Modules.ExpressionsToolbarSegment
// using PD.Web.UI.Controls.ToolbarSegment

PD.Manage.Modules.ExpressionsToolbarSegment =
PD.Web.UI.Controls.ToolbarSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/expressions:expression/create-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/expressions:expression/edit-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/expressions:expression/delete"
        }));

    }

});